function principal_vp(nom_maillage);
% =====================================================
%
% principal_vp(nom_maillage);
%
% une routine pour la mise en oeuvre des EF P1 Lagrange
% pour l'equation de Laplace suivante, avec conditions de
% Dirichlet sur le maillage nom_maillage.msh
% Probleme aux valeurs propres
%
% | -Delta u = lambda u,   dans Omega
% |         u = 0,         sur le bord
%
% =====================================================


% lecture du maillage et affichage
% ---------------------------------
[Nbpt,Nbtri,Coorneu,Refneu,Numtri,Reftri]=lecture_msh(nom_maillage);
fprintf('Nombre de triangles %5d ; nombre de noeuds %5d\n',Nbtri, Nbpt);

% ----------------------
% calcul des matrices EF
% ----------------------

% declarations
% ------------
MM = sparse(Nbpt,Nbpt); % matrice de masse
KK = sparse(Nbpt,Nbpt); % matrice de rigidite

% boucle sur les triangles
% ------------------------
for l=1:Nbtri
  
  % calcul des matrices elementaires (rigidite et masse) 
% .
% .
% A COMPLETER
% .
% .

  % On fait l'assemblage de la matrice globale et du second membre
% .
% .
% A COMPLETER
% .
% .

end % for l

% On suppose que les noeuds Dirichlet ont une reference 1
% -------------------------------------------------------
% REFINT = find(Refneu==0);

% Resolution du probleme aux valeurs propres generalise
%    | Trouver (lambda,V) tels que 
%    | KK0 V = lambda MM0 V.
% On cherche les 10 plus petites valeurs propres et les 
% vecteurs propres associes.
% Utiliser la commande 
%    [V,D] = eigs(....)
% Utiliser l'aide proposee par Matlab pour apprendre a s'en servir.
% .
% .
% A COMPLETER
% .
% .

% Visualisation des valeurs propres
% .
% .
% A COMPLETER
% .
% .

% Visualisation de p vecteurs propres
% -----------------------------------
%Vects = zeros(Nbpt,p);
% .
% .
% A COMPLETER
% .
% .
% affiche(Vects, Numtri, Coorneu);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        fin de la routine
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

